# CglParam Class Reference

Class collecting parameters for all cut generators. More...

`#include <CglParam.hpp>`

Inheritance diagram for CglParam:
[legend]

List of all members.

## Public Member Functions
Public Set/get methods
virtual void | setINFINIT (const double inf)
| Set INFINIT.
double | getINFINIT () const
| Get value of INFINIT.
virtual void | setEPS (const double eps)
| Set EPS.
double | getEPS () const
| Get value of EPS.
virtual void | setEPS_COEFF (const double eps_c)
| Set EPS_COEFF.
double | getEPS_COEFF () const
| Get value of EPS_COEFF.
virtual void | setMAX_SUPPORT (const int max_s)
| Set MAX_SUPPORT.
int | getMAX_SUPPORT () const
| Get value of MAX_SUPPORT.
Constructors and destructors
| CglParam (const double inf=COIN_DBL_MAX, const double eps=1e-6, const double eps_c=1e-5, const int max_s=COIN_INT_MAX)
| Default constructor.
| CglParam (const CglParam &)
| Copy constructor.
virtual CglParam * | clone () const
| Clone.
CglParam & | operator= (const CglParam &rhs)
| Assignment operator.
virtual | ~CglParam ()
| Destructor.
## Protected Attributes
Protected member data
double | INFINIT
| Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX.
double | EPS
| Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX.
double | EPS_COEFF
| Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX.
int | MAX_SUPPORT
| Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX.

## Detailed Description

Class collecting parameters for all cut generators.

Each generator may have a derived class to add parameters. Each generator might also set different default values for the parameters in CglParam.

Definition at line 22 of file CglParam.hpp.

## Constructor & Destructor Documentation

CglParam::CglParam | ( | const double | inf = `COIN_DBL_MAX`,
|  | const double | eps = `1e-6`,
|  | const double | eps_c = `1e-5`,
|  | const int | max_s = `COIN_INT_MAX` |
| ) |  |  |

Default constructor.

CglParam::CglParam | ( | const CglParam & |  | ) |

Copy constructor.

virtual CglParam::~CglParam | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void CglParam::setINFINIT | ( | const double | inf | ) | `[virtual]`

Set INFINIT.

double CglParam::getINFINIT | ( |  | ) | const`[inline]`

Get value of INFINIT.

Definition at line 32 of file CglParam.hpp.

virtual void CglParam::setEPS | ( | const double | eps | ) | `[virtual]`

Set EPS.

double CglParam::getEPS | ( |  | ) | const`[inline]`

Get value of EPS.

Definition at line 37 of file CglParam.hpp.

virtual void CglParam::setEPS_COEFF | ( | const double | eps_c | ) | `[virtual]`

Set EPS_COEFF.

double CglParam::getEPS_COEFF | ( |  | ) | const`[inline]`

Get value of EPS_COEFF.

Definition at line 42 of file CglParam.hpp.

virtual void CglParam::setMAX_SUPPORT | ( | const int | max_s | ) | `[virtual]`

Set MAX_SUPPORT.

int CglParam::getMAX_SUPPORT | ( |  | ) | const`[inline]`

Get value of MAX_SUPPORT.

Definition at line 47 of file CglParam.hpp.

virtual CglParam* CglParam::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented in CglGMIParam, CglRedSplitParam, and CglRedSplit2Param.

CglParam& CglParam::operator= | ( | const CglParam & | rhs | ) |

Assignment operator.

Reimplemented in CglGMIParam, CglLandP::Parameters, CglRedSplitParam, and CglRedSplit2Param.

## Member Data Documentation

double CglParam::INFINIT`[protected]`

Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX.

Definition at line 77 of file CglParam.hpp.

double CglParam::EPS`[protected]`

Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX.

Definition at line 80 of file CglParam.hpp.

double CglParam::EPS_COEFF`[protected]`

Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX.

Definition at line 84 of file CglParam.hpp.

int CglParam::MAX_SUPPORT`[protected]`

Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX.

Definition at line 88 of file CglParam.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Alps-1.5.0/Cgl/src/CglParam.hpp